function ydot = my_model(t,y,td,ud,p)

% Find input that corresponds to the current time
in = td(1);
for i = 1:size(td,1),
    if (t <= td(i)),
        in = ud(i);
    end
end

%% Include your model equations here ----------------------

% Parameters or inputs
k = p(1);        % rate constant
alpha = p(2);    % rate order

% States
A = y(1);        % Concentration of species A

%% Equation
% acc = consumption + inlet
dAdt = -k * (A^alpha) + in;

%% End model equations ------------------------------------

%% Outputs
% dy/dt = function(y,u)
ydot = [dAdt];
